{% extends "besoins/base.html" %}
{% load client_utils %}

{% block title %}Questionnaire - Intro{% endblock %}

{% block content %}
<h2>{{ client.noms }} {{ client.prenoms }} {% services_as_icons client '' 'p-2' %}</h2>

<div class="row">
    <div class="col-sm-3">{{ client.rue }}</div>
    <div class="col-sm-3">{{ client.npa }} {{ client.localite }}</div>
    <div class="col-sm-3 tels">{{ client.tel_1 }} {% if client.tel_2 %}<br>{{ client.tel_2 }}{% endif %}</div>
    <div class="col-sm-3">{{ client.date_naissance|date:'d.m.Y' }} ({{ client.age|to_int }} ans)</div>
</div>
{% if client.langues and 'fr' not in client.langues %}
    <div><b>Langues:</b> {{ client.get_langues_display }}</div>
{% endif %}
{% if client.handicaps %}
    <div><b>Handicaps:</b> {{ client.get_handicaps_display }}</div>
{% endif %}
{% if client.remarques_ext %}
    <div>{{ client.remarques_ext }}</div>
{% endif %}

<details><summary class="fs-4">Contacts/répondants</summary>
    <div id="client-contacts">
        {% include 'client/contact_list.html' with readonly=True %}
        {% if not referents and not repondants and not autres_contacts %}
        <i>Aucun contact actuellement pour cette personne.</i>
        {% endif %}
    </div>
</details>

<div class="texte_intro mt-3 mb-3 fs-5">
    <div><b>Canevas de dialogue introductif</b></div>
    <ul>
        <li>Nous vous appelons parce que vous êtes client Alarme, Visites à domicile, SAVD ou Transports à la Croix-Rouge neuchâteloise</li>
        <li>Nous avons à cœur de favoriser le maintien à domicile des personnes âgées et souhaiterions proposer une offre globale</li>
        <li>C’est pourquoi nous aimerions identifier vos besoins immédiats ou futurs.</li>
        <li>De ce fait, nous souhaiterions vous poser quelques questions, si vous avez un petit moment à nous consacrer.</li>
        <li>La durée du questionnaire sera d’environ 15 minutes</li>
    </ul>
</div>

<form method="post" action=".">{% csrf_token %}
    <p>Si <b>une autre personne</b> répond pour le client ou l’aide pendant l'entretien, indiquez-le dans ce champ:</p>
    {{ form.aide_entretien }}
    <div class="d-flex justify-content-between">
        <div></div>
        <button type="submit" class="btn btn-primary">&gt; Environnement familial et social</button>
    </div>

    <hr>
    <div>{{ form.non_repondu }} {{ form.non_repondu.label_tag|strip_colon }}</div>
    <div id="id_non_repondu_suite" hidden>
        <div><label for="id_remarques">Remarques</label> {{ form.remarques }}</div>
        <div><button type="submit" class="btn btn-warning">Confirmer ce choix</button></div>
    </div>
</form>
{% endblock %}
